library TestProjectCore;

//  SimpleShareMem,

{$R *.res}

uses
  Windows,
  SysUtils,
  Classes,
  Controls,
  TabFrm in 'TabFrm.pas' {frmTab};

procedure InitializeModule(ACommunicationHandle: HWND);
begin
  CommunicationHandle := ACommunicationHandle;
  frmTab := TfrmTab.Create(nil);
  try
    frmTab.ParentWindow := SendMessage(CommunicationHandle, CM_ADDTAB, WPARAM(GetCurrentProcessId()), 0);
    try
      SendMessage(CommunicationHandle, CM_TABADDED, WPARAM(GetCurrentProcessId()), LPARAM(frmTab.Handle));
      frmTab.ShowModal;
    finally
      SendMessage(CommunicationHandle, CM_REMOVETAB, WPARAM(GetCurrentProcessId()), LPARAM(frmTab.Handle));
    end;
  finally
    frmTab.Free;
  end;
end;

exports
  InitializeModule;

begin
end.
