unit TabFrm;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls;

type
  TfrmTab = class(TForm)
    Button1: TButton;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private-Deklarationen }
  public
    { Public-Deklarationen }
  end;

var
  frmTab: TfrmTab;
  CommunicationHandle: HWND;

const
  CM_ADDTAB = CM_BASE + 1;
  CM_TABADDED = CM_BASE + 2;
  CM_REMOVETAB = CM_BASE + 3;
  CM_OPENTAB = CM_BASE + 4;

implementation

{$R *.dfm}

uses
  JclSysUtils;

function SendStringMessage(AMsg: Word; const AStr: string): Integer;
begin
  Result := SendMessage(CommunicationHandle, AMsg, WPARAM(GetCurrentProcessId()), LPARAM(AStr));
end;

procedure TfrmTab.Button1Click(Sender: TObject);
begin
  SendStringMessage(CM_OPENTAB, '');
end;

procedure TfrmTab.FormCreate(Sender: TObject);
begin
  Caption := Caption + ' ' + IntToStr(GetCurrentProcessId);
end;

end.
